Skip to main content
Resource Center/Resource Pool/Auto-Scaling Group Operations

QueryAutoScalingVmTemplate

QueryAutoScalingVmTemplate

GET/zstack/v1/autoscaling/vmtemplate
GET/zstack/v1/autoscaling/vmtemplate/{uuid}

Operation ID

QueryAutoScalingVmTemplate

Since

3.1.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • q
    String

    Query conditions.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventories
    ListRequired

    See inventories.

    • vmInstanceName
      StringRequired

      The VM instance name.

    • vmInstanceType
      StringRequired

      The VM instance type.

    • vmInstanceDescription
      StringRequired

      The VM instance description.

    • vmInstanceOfferingUuid
      StringRequired

      The instance offering of the VM instance.

    • imageUuid
      StringRequired

      The image UUID of the VM instance.

    • l3NetworkUuids
      ListRequired

      The L3 networks of the VM instance.

    • rootDiskOfferingUuid
      StringRequired

      The disk offering of the VM instance root volume.

    • dataDiskOfferingUuids
      ListRequired

      The disk offerings of the VM instance data volumes.

    • vmInstanceZoneUuid
      StringRequired

      The zone to which the VM instance belongs.

    • vmInstanceClusterUuid
      StringRequired

      The cluster to which the VM instance belongs.

    • hostUuid
      StringRequired

      The host UUID of the VM instance.

    • primaryStorageUuidForRootVolume
      StringRequired

      The primary storage where the root volume of the VM instance locates.

    • defaultL3NetworkUuid
      StringRequired

      The default L3 network of the VM instance.

    • uuid
      StringRequired

      The resource UUID.

    • name
      StringRequired

      The resource name.

    • description
      StringRequired

      The detailed description of the resource.

    • type
      StringRequired

      The template type.

    • state
      StringRequired

      The template state.

    • systemTags
      ListRequired

      The system tags.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.